package com.sa.ibiz.demo.demo.service.impl;

import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.mapper.LoginAccountMapper;
import com.sa.ibiz.demo.demo.domain.LoginAccount;
import com.sa.ibiz.demo.demo.service.LoginAccountService;
import com.sa.ibiz.demo.ibizutil.service.ServiceImplBase;
import com.sa.ibiz.demo.demo.service.dto.LoginAccountSearchFilter;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import java.util.UUID;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import java.util.TreeMap;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.math.BigInteger;
import com.sa.ibiz.demo.ibizutil.annotation.PreField;
import java.lang.reflect.Field;

import com.sa.ibiz.demo.demo.service.UserService;

/**
 * 实体[LoginAccount] 服务对象接口实现
 */
@Service
public class LoginAccountServiceImpl extends ServiceImplBase<LoginAccountMapper, LoginAccount> implements LoginAccountService{

    @Autowired
    private UserService userService;

    @Resource
    private LoginAccountMapper loginaccountMapper;


    @Override
    public boolean create(LoginAccount et) {
        this.beforeCreate(et);
         return super.create(et);
    }
    @Override
    public boolean update(LoginAccount et){
        this.beforeUpdate(et);
		this.loginaccountMapper.updateOne(et);
		this.get(et);
		return true;
    }

    public Object getEntityKey(LoginAccount et){
		return et.getLoginaccountid();  
    }

    @Override
    public boolean getDraft(LoginAccount et)  {
    if((!StringUtils.isEmpty(et.getUserid())) && et.getUser() == null){
            try {
                et.setUser(userService.getById(et.getUserid()));
            }catch (Exception ex){}
        }
            return true;
    }
    @Override
    public LoginAccount getHashMode(LoginAccount et)  {
		return et;
    }
    @Override
    public LoginAccount saveHashMode(LoginAccount et)  {
		return et;
    }

	public List<LoginAccount> listDefault(LoginAccountSearchFilter filter) {
		return loginaccountMapper.searchDefault(filter,filter.getSelectCond());
	}

	public Page<LoginAccount> searchDefault(LoginAccountSearchFilter filter) {
		return loginaccountMapper.searchDefault(filter.getPage(),filter,filter.getSelectCond());
	}

    public  List<Map<String,Object>> selectRow(String sql){
       return loginaccountMapper.selectRow(sql);
    }

 }